> For the complete documentation index, see [llms.txt](https://docs.whisk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whisk.com/api/food-db.md).

# Food DB

We support JSON and GRPC API.&#x20;

Localization will be supported via language and country parameters which internally will be matched to locale. Whisk does not perform mapping region or country to language. Client should select and pass language explicitly.

Empty strings, zero values, empty arrays and null values are not returned due to GRPC nature of the API implementation.

### [Food Autocomplete](https://docs.whisk.com/api/food-db/autocomplete)

### [Food Search](https://docs.whisk.com/api/food-db/search)

### [Food by id](https://docs.whisk.com/api/food-db/get-food)

### API Errors

<table><thead><tr><th width="127">Code</th><th>Description</th></tr></thead><tbody><tr><td>400</td><td>One or more parameters are invalid</td></tr><tr><td>403</td><td>Authentication not provided or incorrect</td></tr><tr><td>500</td><td>Server unavailable</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/api/food-db.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
